package org.snowchen.GreatSonServer.programinit;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class EncryptionModule {
    //加密模块 汇总各类加密算法供快速调用
    /**
     * 使用SHA-256算法加密密码
     *
     * @param password 待加密的密码字符串
     * @return 加密后的密码字符串
     * @throws NoSuchAlgorithmException 如果指定的算法不存在
     */
    public static String hashPassword(String password) throws NoSuchAlgorithmException {
        MessageDigest md = MessageDigest.getInstance("SHA-256");
        byte[] hashedPassword = md.digest(password.getBytes());
        StringBuilder sb = new StringBuilder();
        for (byte b : hashedPassword) {
            sb.append(String.format("%02x", b));
        }
        return sb.toString();
    }
}
